# ApplicationFramework
TKLCAF
TNaming

# TNaming_OldShapeIterator Class Reference

Iterates on all the ascendants of a shape
.

`#include <TNaming_OldShapeIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_OldShapeIterator (const TopoDS_Shape &aShape, const Standard_Integer Transaction, const TDF_Label &access)
Standard_EXPORT | TNaming_OldShapeIterator (const TopoDS_Shape &aShape, const TDF_Label &access)
Standard_EXPORT | TNaming_OldShapeIterator (const TNaming_OldShapeIterator &anIterator)
| Iterates from the current Shape in <aniterator> .
Standard_EXPORT | TNaming_OldShapeIterator (const TNaming_Iterator &anIterator)
| Iterates from the current Shape in <aniterator> .
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT TDF_Label | Label () const
Standard_EXPORT Handle_TNaming_NamedShape | NamedShape () const
Standard_EXPORT const TopoDS_Shape & | Shape () const
Standard_EXPORT Standard_Boolean | IsModification () const
| True if the new shape is a modification (split, fuse,etc...) of the old shape. .

## Private Member Functions

Standard_EXPORT | TNaming_OldShapeIterator (const TopoDS_Shape &aShape, const Standard_Integer Transaction, const Handle(TNaming_UsedShapes)&Shapes)
Standard_EXPORT | TNaming_OldShapeIterator (const TopoDS_Shape &aShape, const Handle(TNaming_UsedShapes)&Shapes)

## Private Attributes

TNaming_PtrNode | myNode
Standard_Integer | myTrans

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_OldShapeIterator::TNaming_OldShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const Standard_Integer | Transaction,
|  | const TDF_Label & | access
| ) |

Standard_EXPORT TNaming_OldShapeIterator::TNaming_OldShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const TDF_Label & | access
| ) |

Standard_EXPORT TNaming_OldShapeIterator::TNaming_OldShapeIterator | ( | const TNaming_OldShapeIterator & | anIterator | ) |

Standard_EXPORT TNaming_OldShapeIterator::TNaming_OldShapeIterator | ( | const TNaming_Iterator & | anIterator | ) |

Standard_EXPORT TNaming_OldShapeIterator::TNaming_OldShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const Standard_Integer | Transaction,
|  | const Handle(TNaming_UsedShapes)& | Shapes
| ) | `[private]`

Standard_EXPORT TNaming_OldShapeIterator::TNaming_OldShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const Handle(TNaming_UsedShapes)& | Shapes
| ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TNaming_OldShapeIterator::IsModification | ( |  | ) | const

Standard_EXPORT TDF_Label TNaming_OldShapeIterator::Label | ( |  | ) | const

Standard_Boolean TNaming_OldShapeIterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT Handle_TNaming_NamedShape TNaming_OldShapeIterator::NamedShape | ( |  | ) | const

Standard_EXPORT void TNaming_OldShapeIterator::Next | ( |  | ) |

void TNaming_OldShapeIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_OldShapeIterator::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_OldShapeIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TopoDS_Shape& TNaming_OldShapeIterator::Shape | ( |  | ) | const

## Field Documentation

TNaming_PtrNode TNaming_OldShapeIterator::myNode `[private]`

Standard_Integer TNaming_OldShapeIterator::myTrans `[private]`

The documentation for this class was generated from the following files:

- TNaming_OldShapeIterator.hxx
- TNaming_OldShapeIterator.lxx